services:
  redis:
    container_name: redis
    image: redis/redis-stack:latest
    ports:
      - "6379:6379"
    volumes:
      - "redis_data:/data"
  # Für den Zugriff auf den Host
  livekit-server:
    image: livekit/livekit-server
    container_name: livekit_server
    restart: unless-stopped
    ports:
      - "7880:7880"
      - "7881:7881"
      - "7882:7882/udp"
    volumes:
      - "./livekit.yaml:/livekit.yaml"
    command:
      - "--config"
      - "/livekit.yaml"
      - "--node-ip=127.0.0.1"

volumes:
  redis_data:
    driver: local
